Bug 51877 - tftp is listed in /etc/services as udp and tcp which stops it working
Summary: tftp is listed in /etc/services as udp and tcp which stops it working
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tftp (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-16 12:40 UTC by simon Allcorn
Modified: 2015-03-05 01:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-04 13:35:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description simon Allcorn 2001-08-16 12:40:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
the line 
tftp           69/tcp
needs to be removed from /etc/services to use tftp with xinetd

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. setup /etc/xinetd.d/tftp
2. restart xinetd
3. find this line in /var/log/messages:
xinetd[1465]: socket creation failed (Protocol not supported (errno = 
93)). service = tftp
4. that's it
	

Actual Results:  xinedt wouldn't start tftpd

Expected Results:  xinedt would start tftpd

Additional info:

Comment 1 Bill Nottingham 2001-08-16 15:07:22 UTC
This is a problem with the xinetd config file for tftp if it doesn't specify the
right protocol.

Comment 2 Phil Knirsch 2001-09-04 13:35:31 UTC
I just verified this with the tftp and xinetd packages of the Roswell Beta and
it works out of the box using these commands:

rpm -Uvh tftp-0.17-14.i386.rpm  tftp-server-0.17-14.i386.rpm
chkconfig tftp on
service xinetd restart

You now need to create the directory /tftpboot and put your files in there.

Then doing the following works:

tftp localhost
tftp> get message
Received 23227 bytes in 0.1 seconds

So i'd like to ask you to try the latest packages, they work for me.

Read ya, Phil

Comment 3 Phil Knirsch 2001-11-06 15:45:31 UTC
As i haven't received any input in the last 2 months i assume that this is fixed.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.